Package org.apache.maven.scm.provider.git.gitexe.command.status

## Class GitStatusCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.status.AbstractStatusCommand
    - - org.apache.maven.scm.provider.git.gitexe.command.status.GitStatusCommand

All Implemented Interfaces:
  `Command`, `GitCommand`

    public class GitStatusCommand
    extends AbstractStatusCommand
    implements GitCommand

Author:
  Brett Porter

### Field Summary

### Fields inherited from interface org.apache.maven.scm.command.Command

`ROLE`

### Constructor Summary

Constructors
`GitStatusCommand()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static org.codehaus.plexus.util.cli.Commandline` `createCommandLine​(GitScmProviderRepository repository, ScmFileSet fileSet)`
`static org.codehaus.plexus.util.cli.Commandline` `createRevparseShowPrefix​(ScmFileSet fileSet)`
`protected StatusScmResult` `executeStatusCommand​(ScmProviderRepository repo, ScmFileSet fileSet)`
`static java.net.URI` `getRelativeCWD​(AbstractCommand caller, ScmFileSet fileSet)` Get the dir relative to the repository root.

### Methods inherited from class org.apache.maven.scm.command.status.AbstractStatusCommand

`executeCommand`

### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

`execute, getLogger, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.maven.scm.command.Command

`execute, getLogger, setLogger`

### Constructor Detail

#### GitStatusCommand

    public GitStatusCommand()

### Method Detail

#### executeStatusCommand

    protected StatusScmResult executeStatusCommand​(ScmProviderRepository repo,
                                                   ScmFileSet fileSet)
                                            throws ScmException

Specified by:
  `executeStatusCommand` in class `AbstractStatusCommand`
Throws:
  `ScmException`

#### getRelativeCWD

    public static java.net.URI getRelativeCWD​(AbstractCommand caller,
                                              ScmFileSet fileSet)
                                       throws ScmException

Get the dir relative to the repository root.

Parameters:
  `caller` - the caller command.
  `fileSet` - in which subdir to execute.
Returns:
  the relative URI.
Throws:
  `ScmException` - if execute() fails.

#### createCommandLine

    public static org.codehaus.plexus.util.cli.Commandline createCommandLine​(GitScmProviderRepository repository,
                                                                             ScmFileSet fileSet)

#### createRevparseShowPrefix

    public static org.codehaus.plexus.util.cli.Commandline createRevparseShowPrefix​(ScmFileSet fileSet)